<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: SoundLookupTable Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d4d/class_sound_lookup_table.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">SoundLookupTable Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af6545e6498afc26a0df32f2dd14004f9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d4d/class_sound_lookup_table.html#af6545e6498afc26a0df32f2dd14004f9">SoundLookupTable</a> ()</td></tr>
<tr class="separator:af6545e6498afc26a0df32f2dd14004f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91edb2bd4fde994fa8a972f3ca61c276"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d4d/class_sound_lookup_table.html#a91edb2bd4fde994fa8a972f3ca61c276">InitTable</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> tableCategoryName, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> parameterName)</td></tr>
<tr class="separator:a91edb2bd4fde994fa8a972f3ca61c276"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2245278e902d1084dd77096bac226690"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d4d/class_sound_lookup_table.html#a2245278e902d1084dd77096bac226690">LoadTable</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> soundLookupTableName)</td></tr>
<tr class="separator:a2245278e902d1084dd77096bac226690"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58af179b4a3b943c0a7f700704e4810f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d4d/class_sound_lookup_table.html#a58af179b4a3b943c0a7f700704e4810f">GetSoundBuilder</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> parameterHash)</td></tr>
<tr class="separator:a58af179b4a3b943c0a7f700704e4810f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0965cc11036d03ca5fa981a57ae85028"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d4d/class_sound_lookup_table.html#a0965cc11036d03ca5fa981a57ae85028">AttachmentSoundLookupTable</a> ()</td></tr>
<tr class="separator:a0965cc11036d03ca5fa981a57ae85028"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84ae79b40db0c4ecc3b079ab2e7a6b8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d4d/class_sound_lookup_table.html#a84ae79b40db0c4ecc3b079ab2e7a6b8a">ImpactSoundLookupTable</a> ()</td></tr>
<tr class="separator:a84ae79b40db0c4ecc3b079ab2e7a6b8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7e7b56ad2bc4aae29c3a9d6cd1aae793"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d4d/class_sound_lookup_table.html#a7e7b56ad2bc4aae29c3a9d6cd1aae793">m_tableCategoryName</a></td></tr>
<tr class="separator:a7e7b56ad2bc4aae29c3a9d6cd1aae793"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc0c3f1dec56392254740001d650d6ea"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d4d/class_sound_lookup_table.html#adc0c3f1dec56392254740001d650d6ea">m_parameterName</a></td></tr>
<tr class="separator:adc0c3f1dec56392254740001d650d6ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a527f20458515b50c84f754f769d2c35f"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d4d/class_sound_lookup_table.html#a527f20458515b50c84f754f769d2c35f">m_soundBuilders</a></td></tr>
<tr class="separator:a527f20458515b50c84f754f769d2c35f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html">DayZAnimEventMaps.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af6545e6498afc26a0df32f2dd14004f9" name="af6545e6498afc26a0df32f2dd14004f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6545e6498afc26a0df32f2dd14004f9">&#9670;&#160;</a></span>SoundLookupTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SoundLookupTable::SoundLookupTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00003">3</a> of file <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html">DayZAnimEventMaps.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0965cc11036d03ca5fa981a57ae85028" name="a0965cc11036d03ca5fa981a57ae85028"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0965cc11036d03ca5fa981a57ae85028">&#9670;&#160;</a></span>AttachmentSoundLookupTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SoundLookupTable::AttachmentSoundLookupTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00088">88</a> of file <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html">DayZAnimEventMaps.c</a>.</p>

</div>
</div>
<a id="a58af179b4a3b943c0a7f700704e4810f" name="a58af179b4a3b943c0a7f700704e4810f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58af179b4a3b943c0a7f700704e4810f">&#9670;&#160;</a></span>GetSoundBuilder()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a> SoundLookupTable::GetSoundBuilder </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>parameterHash</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00052">52</a> of file <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html">DayZAnimEventMaps.c</a>.</p>

</div>
</div>
<a id="a84ae79b40db0c4ecc3b079ab2e7a6b8a" name="a84ae79b40db0c4ecc3b079ab2e7a6b8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84ae79b40db0c4ecc3b079ab2e7a6b8a">&#9670;&#160;</a></span>ImpactSoundLookupTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SoundLookupTable::ImpactSoundLookupTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00117">117</a> of file <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html">DayZAnimEventMaps.c</a>.</p>

</div>
</div>
<a id="a91edb2bd4fde994fa8a972f3ca61c276" name="a91edb2bd4fde994fa8a972f3ca61c276"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91edb2bd4fde994fa8a972f3ca61c276">&#9670;&#160;</a></span>InitTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SoundLookupTable::InitTable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>tableCategoryName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>parameterName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00008">8</a> of file <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html">DayZAnimEventMaps.c</a>.</p>

</div>
</div>
<a id="a2245278e902d1084dd77096bac226690" name="a2245278e902d1084dd77096bac226690"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2245278e902d1084dd77096bac226690">&#9670;&#160;</a></span>LoadTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SoundLookupTable::LoadTable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>soundLookupTableName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00014">14</a> of file <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html">DayZAnimEventMaps.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="adc0c3f1dec56392254740001d650d6ea" name="adc0c3f1dec56392254740001d650d6ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc0c3f1dec56392254740001d650d6ea">&#9670;&#160;</a></span>m_parameterName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SoundLookupTable::m_parameterName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00073">73</a> of file <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html">DayZAnimEventMaps.c</a>.</p>

</div>
</div>
<a id="a527f20458515b50c84f754f769d2c35f" name="a527f20458515b50c84f754f769d2c35f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a527f20458515b50c84f754f769d2c35f">&#9670;&#160;</a></span>m_soundBuilders</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/db9/class_sound_object_builder.html">SoundObjectBuilder</a>&gt; &gt; SoundLookupTable::m_soundBuilders</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00074">74</a> of file <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html">DayZAnimEventMaps.c</a>.</p>

</div>
</div>
<a id="a7e7b56ad2bc4aae29c3a9d6cd1aae793" name="a7e7b56ad2bc4aae29c3a9d6cd1aae793"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e7b56ad2bc4aae29c3a9d6cd1aae793">&#9670;&#160;</a></span>m_tableCategoryName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> SoundLookupTable::m_tableCategoryName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00072">72</a> of file <a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html">DayZAnimEventMaps.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../de/d35/_day_z_anim_event_maps_8c_source.html">DayZAnimEventMaps.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/d4d/class_sound_lookup_table.html">SoundLookupTable</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
